# Class PaymentAccount

#### Hierarchy

- unknown
  - PaymentAccount

- Defined in src/protobuf/pb_pb.d.ts:7363
- Defined in src/protobuf/pb_pb.d.ts:7401

#####
Index

### Constructors

constructor

### Methods

addTradeCurrencies
clearPaymentAccountPayload
clearPaymentMethod
clearSelectedTradeCurrency
clearTradeCurrenciesList
getAccountName
getCreationDate
getId
getPaymentAccountPayload
getPaymentMethod
getSelectedTradeCurrency
getTradeCurrenciesList
hasPaymentAccountPayload
hasPaymentMethod
hasSelectedTradeCurrency
serializeBinary
setAccountName
setCreationDate
setId
setPaymentAccountPayload
setPaymentMethod
setSelectedTradeCurrency
setTradeCurrenciesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PaymentAccount(): PaymentAccount

- #### Returns PaymentAccount

  Inherited from jspb.Message.constructor

## Methods

### addTradeCurrencies

- addTradeCurrencies(value?: TradeCurrency, index?: number): TradeCurrency

- #### Parameters

  - ##### `Optional` value: TradeCurrency

  - ##### `Optional` index: number

  #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7381

### clearPaymentAccountPayload

- clearPaymentAccountPayload(): PaymentAccount

- #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7391

### clearPaymentMethod

- clearPaymentMethod(): PaymentAccount

- #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7373

### clearSelectedTradeCurrency

- clearSelectedTradeCurrency(): PaymentAccount

- #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7386

### clearTradeCurrenciesList

- clearTradeCurrenciesList(): PaymentAccount

- #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7380

### getAccountName

- getAccountName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7375

### getCreationDate

- getCreationDate(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7367

### getId

- getId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7364

### getPaymentAccountPayload

- getPaymentAccountPayload(): undefined | PaymentAccountPayload

- #### Returns undefined | PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:7388

### getPaymentMethod

- getPaymentMethod(): undefined | PaymentMethod

- #### Returns undefined | PaymentMethod

  - Defined in src/protobuf/pb_pb.d.ts:7370

### getSelectedTradeCurrency

- getSelectedTradeCurrency(): undefined | TradeCurrency

- #### Returns undefined | TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7383

### getTradeCurrenciesList

- getTradeCurrenciesList(): TradeCurrency[]

- #### Returns TradeCurrency[]

  - Defined in src/protobuf/pb_pb.d.ts:7378

### hasPaymentAccountPayload

- hasPaymentAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7390

### hasPaymentMethod

- hasPaymentMethod(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7372

### hasSelectedTradeCurrency

- hasSelectedTradeCurrency(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7385

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7393

### setAccountName

- setAccountName(value: string): PaymentAccount

- #### Parameters

  - ##### value: string

  #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7376

### setCreationDate

- setCreationDate(value: string): PaymentAccount

- #### Parameters

  - ##### value: string

  #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7368

### setId

- setId(value: string): PaymentAccount

- #### Parameters

  - ##### value: string

  #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7365

### setPaymentAccountPayload

- setPaymentAccountPayload(value?: PaymentAccountPayload): PaymentAccount

- #### Parameters

  - ##### `Optional` value: PaymentAccountPayload

  #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7389

### setPaymentMethod

- setPaymentMethod(value?: PaymentMethod): PaymentAccount

- #### Parameters

  - ##### `Optional` value: PaymentMethod

  #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7371

### setSelectedTradeCurrency

- setSelectedTradeCurrency(value?: TradeCurrency): PaymentAccount

- #### Parameters

  - ##### `Optional` value: TradeCurrency

  #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7384

### setTradeCurrenciesList

- setTradeCurrenciesList(value: TradeCurrency[]): PaymentAccount

- #### Parameters

  - ##### value: TradeCurrency[]

  #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7379

### toObject

- toObject(includeInstance?: boolean): PaymentAccount.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PaymentAccount.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7394

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccount

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7397

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccount, reader: BinaryReader): PaymentAccount

- #### Parameters

  - ##### message: PaymentAccount

  - ##### reader: BinaryReader

  #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7398

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccount, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PaymentAccount

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7396

### `Static` toObject

- toObject(includeInstance: boolean, msg: PaymentAccount): PaymentAccount.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccount

  #### Returns PaymentAccount.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7395

Generated using TypeDoc